=== debian/control ===
Source: kcalutils
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               oxygen-icon-theme,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kcalutils
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalutils
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalutils.git

Package: libkf5calendarutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5calendarutils5 (= ${binary:Version}),
         libkf5codecs-dev (>= 5.60.0~),
         libkf5config-dev (>= 5.60.0~),
         libkf5coreaddons-dev (>= 5.60.0~),
         libkf5i18n-dev (>= 5.60.0~),
         libkf5iconthemes-dev (>= 5.60.0~),
         libkf5identitymanagement-dev (>= 19.08.3~),
         libkf5widgetsaddons-dev (>= 5.60.0~),
         ${misc:Depends}
Description: kcalutils - development files
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package contains the development files.

Package: libkf5calendarutils5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
Provides: ${ABI:VirtualPackage}
