=== debian/changelog ===
kcalutils (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:30 +0100

kcalutils (4:19.04.3-0ubuntu2) focal; urgency=medium

  * Fix installed file path: replace this path
    - usr/lib/*/grantlee/5.1/kcalendar_grantlee_plugin.so
      with
    - usr/lib/*/grantlee/*/kcalendar_grantlee_plugin.so

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 02 Feb 2020 19:37:26 +0000
