=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 21.12.3~),
+               libkf5identitymanagement-dev (>= 22.08.1~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 21.12.3~),
+               libkf5pimtextedit-dev (>= 22.08.1~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
